summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/python-r1.eclass10
2 files changed, 14 insertions, 2 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 0e8f4921edab..d0f23a0a1381 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.593 2013/01/03 20:30:47 hd_brummy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.594 2013/01/04 01:26:22 floppym Exp $
+
+ 04 Jan 2013; Mike Gilbert <floppym@gentoo.org> python-r1.eclass:
+ Don't tell the user to set USE_PYTHON when a package does not support
+ python2.7 or python3.2.
03 Jan 2013; Joerg Bornkessel <hd_brummy@gentoo.org> vdr-plugin-2.eclass:
fixed mistake for emake:-all emake:-install between old and new plugin
diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index cc6d8436f1cc..dd0c5bc511b0 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v 1.34 2013/01/02 21:12:44 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v 1.35 2013/01/04 01:26:22 floppym Exp $
# @ECLASS: python-r1
# @MAINTAINER:
@@ -382,6 +382,10 @@ _python_check_USE_PYTHON() {
# is installed.
if [[ ! ${py2+1} && ${dis_py2} ]]; then
debug-print "${FUNCNAME}: -> all py2 versions disabled"
+ if ! has python2_7 "${PYTHON_COMPAT[@]}"; then
+ debug-print "${FUNCNAME}: ---> package does not support 2.7"
+ return 0
+ fi
if has_version '=dev-lang/python-2*'; then
debug-print "${FUNCNAME}: ---> but =python-2* installed!"
return 1
@@ -389,6 +393,10 @@ _python_check_USE_PYTHON() {
fi
if [[ ! ${py3+1} && ${dis_py3} ]]; then
debug-print "${FUNCNAME}: -> all py3 versions disabled"
+ if ! has python3_2 "${PYTHON_COMPAT[@]}"; then
+ debug-print "${FUNCNAME}: ---> package does not support 3.2"
+ return 0
+ fi
if has_version '=dev-lang/python-3*'; then
debug-print "${FUNCNAME}: ---> but =python-3* installed!"
return 1